package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-16
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SopObjRel extends Model<SopObjRel> {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "sop_obj_id", type = IdType.ASSIGN_UUID)
    private String sopObjId;

    /**
     * sop的主键id
     */
    private String sopId;

    /**
     * 对象id
     */
    private String objId;

    /**
     * obj_tye:build-建筑、floor-楼层、space-空间、system-系统实例、equip-设备实例，system_class-系统类、equip_class-设备类，component-部件，tool-工具
     */
    private String objType;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 有效状态
     */
    private Boolean valid;


    @Override
    protected Serializable pkVal() {
        return this.sopObjId;
    }

}
